require "capybara"
require "capybara/dsl"
require "capybara/poltergeist"

module Translator
  module PoltergeistConfig
    include Capybara::DSL

    Capybara.default_driver = :poltergeist
    Capybara.register_driver :poltergeist do |app|
      options = { js_errors: false, timeout: 10000, phantomjs_options: ['--load-images=no'] }
      Capybara::Poltergeist::Driver.new(app, options)
    end
  end
end
